Bug 1259056 - oc edit on windows doesn't work when trying to save
oc edit on windows doesn't work when trying to save
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
3.0.0
Unspecified Windows
medium Severity medium
: ---
: ---
Assigned To: Fabiano Franz
Yanping Zhang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-01 16:54 EDT by Erik M Jacobs
Modified: 2015-11-23 09:24 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 09:24:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Erik M Jacobs 2015-09-01 16:54:28 EDT
With oc 3.0.1.0 on Windows 7, when you do "oc edit" it brings up Notepad, this is good.

1) the YAML and the JSON are basically all on one line. There's no multiple lines and no indentation

2) When you try to save the file after editing you get an error about the file already being open by something else.
Comment 3 Xingxing Xia 2015-10-26 03:30:49 EDT
I verified this issue against windows. Versions are:
oc v3.0.2.903-29-g49953d6
kubernetes v1.2.0-alpha.1-1107-g4c8e6f4

The bug is fixed. oc edit can display and save the file well, like linux.
So I move the bug to VERIFIED.
Comment 4 Brenton Leanhardt 2015-11-23 09:24:40 EST
This fix is available in OpenShift Enterprise 3.1.

Note You need to log in before you can comment on or make changes to this bug.